var TUB = require('lib/tub');


function closeAction() {
  TUB.notify('閉じます');
  TUB.autoCloseMessage(TUB.byId.messageWin, TUB.byId.messageLabel, ['閉じます ３', '閉じます ２', '閉じます １'], 1000);
  setTimeout(function () { Ti.UI.currentWindow.close(); }, 4000);
}
TUB.buildUI(
{ui:"CurrentWindow", children:[
  {ui:"View", params:{backgroundImage:"/images/bg.png", "class":"view"}, children:[
    {ui:"Label", params:{"class":"label", text:"子ウィンドウです\nクリックしてください"}, events:{click:"closeAction();"}}
  ]}
]}
);
TUB.buildUI(
{ui:"Window", params:{id:"messageWin", "class":"messageWin"}, children:[
  {ui:"View", params:{"class":"messageView"}, children:[
    {ui:"Label", params:{id:"messageLabel", "class":"messageLabel"}}
  ]}
]}
);

//Is JSS ignored?
TUB.byId.messageWin.height = 30;
TUB.byId.messageWin.width = 250;
TUB.byId.messageWin.borderRadius = 10;
